=== debian/changelog ===
freecad (0.16+dfsg2-3) unstable; urgency=medium

  [ Graham Inggs ]
  * [06c5066] Use PNG and SVG icons instead of XPM (Closes: #850965)
  * [d40a6a3] Drop debian/menu and do not install XPM icon, see #741573
  * [d616835] Add Suggests on graphviz and povray (Closes: #849644)
  * [e25f6a6] Switch to debhelper 10
  * [f02e70f] Add debian/clean to fix FTBFSx2

  [ Anton Gladky ]
  * [245dccf] Fix d/copyright.
  * [3f389af] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Fri, 20 Jan 2017 20:05:18 +0100

freecad (0.16+dfsg2-2) unstable; urgency=medium

  * Team upload.
  [ Anton Gladky ]
  * Remove freecad-doc from suggests. (Closes: #827734)

  [ Nobuhiro Iwamatsu ]
  * Fix FTBFS with opencv 3.1. (Closes: #841416)

 -- Anton Gladky <gladk@debian.org>  Wed, 23 Nov 2016 05:20:31 +0900

freecad (0.16+dfsg2-1) unstable; urgency=medium

  * [4f08de5] Remove data/examples. (Closes: #745237)
  * [7434cc4] Imported Upstream version 0.16+dfsg2

 -- Anton Gladky <gladk@debian.org>  Sun, 15 May 2016 12:29:42 +0200

freecad (0.16+dfsg1-1) unstable; urgency=medium

  * [9e69a23] Update d/watch.
  * [bf22c89] Drop copying of Version.h explicitly.
  * [010b5c8] Refresh/Remove patches.
  * [24a4f7d] Update d/copyright.
  * [0547be9] Apply cme fix dpkg-control.
  * [fc9b859] Update d/copyright.
  * [6e5df4d] Imported Upstream version 0.16+dfsg1. (Closes: #823816)
  * [06ed39b] Remove freecad-dev and freecad-doc binaries.
  * [94c3ac2] Update d/copyright. (Closes: #726805 #745237)

 -- Anton Gladky <gladk@debian.org>  Thu, 12 May 2016 20:48:30 +0200
